package com.fjhx.victoriatourist.service.jd;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdInfoDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdInfoSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdInfo;
import com.fjhx.victoriatourist.entity.jd.vo.JdInfoVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 京东基本信息表 服务类
 * </p>
 *
 * @author 
 * @since 2023-12-09
 */
public interface JdInfoService extends BaseService<JdInfo> {

    /**
     * 京东基本信息表列表
     */
    List<JdInfoVo> getList(JdInfoSelectDto dto);

    /**
     * 京东基本信息表分页
     */
    Page<JdInfoVo> getPage(JdInfoSelectDto dto);

    /**
     * 京东基本信息表明细
     */
    JdInfoVo detail(Long id);

    /**
     * 京东基本信息表新增
     */
    void add(JdInfoDto jdInfoDto);

    /**
     * 京东基本信息表编辑
     */
    void edit(JdInfoDto jdInfoDto);

    /**
     * 京东基本信息表删除
     */
    void delete(Long id);

    JdInfoVo getOne();

    void addOrUpdate(JdInfoDto jdInfoDto);
}
